Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface PathInfo

All Superinterfaces:
  java.io.Serializable

    public interface PathInfo

extends java.io.Serializable

Interface `PathInfo` contains information of a resource path in the server.

Method Summary
`java.lang.Object` | `getCustomFieldValue(java.lang.String name)` Returns the value of a custom field which can be String or other formats.
`java.lang.String` | `getDescription()` Returns the information with which described the resource.
`java.lang.String` | `getDisplay(java.util.Locale locale)` Returns the resource display text for specified locale.
`java.lang.String` | `getDisplayName()` Returns the resource display name.
`java.lang.String[]` | `getFileInfo()` Gets this resource path's file information.
`long` | `getLastModified()` Gets last modified time of the file that `getRealPath()` indicates.
`int` | `getLatestVersionNumber()` Gets latest version number of a resource.
`java.lang.String` | `getLinkedCatalog()` Gets the linked catalog.
`int` | `getMaxVersionAmount()` Gets max version amount of a resource.
`java.lang.String` | `getName()` Returns the resource name.
`java.lang.String` | `getParentPath()` Returns the resource parent path .
`java.lang.String` | `getPath()` Returns the resource path.
`java.lang.String` | `getProfileName()` Gets the profile name, only used for report.
`java.lang.String` | `getRealPath()` Returns the resource real path of this PathInfo.
`byte` | `getResourceSubType()`
`byte` | `getResourceType()`
`byte` | `getStatus()` Returns the report resource status.
`java.lang.String` | `getUserID()` Returns the user ID that accesses the resource path.
`boolean` | `isAdhocReport()` Deprecated. No replacement.
`boolean` | `isArchiveNewVersion()` Checks if to archive a new version when adding a new version to a resource.
`boolean` | `isCatalog()` Test if the resource path maps to a catalog.
`boolean` | `isDir()` Checks if the resource path maps to a file system directory.
`boolean` | `isDynamic()` Checks if the resource is from real path.
`boolean` | `isEnableArchivePolicy()` Checks if the archive policy is enabled on this node.
`boolean` | `isEnableDynamicResource()` Checks if resources from the node's real path can be used.
`boolean` | `isEnableLinkedCatalog()` Checks if to enable linked catalog.
`boolean` | `isEnableNLS()` Checks if the resource enables NLS (resource type is report).
`boolean` | `isFile()` Checks if the resource path maps to a file system file.
`boolean` | `isInUserDir()` Checks if the folder that this `PathInfo` object represents is a user folder.
`boolean` | `isJDashboard()` Checks if the resource path maps to a dashboard report.
`boolean` | `isLC()` Checks if the resource path maps to a LC.
`boolean` | `isLiveReport()` Checks if the resource path maps to a live report.
`boolean` | `isOwner(java.lang.String userID)` Checks if the user ID is the resource owner.
`boolean` | `isReport()` Checks if the resource path maps to a report.
`boolean` | `isResourceNode()` Deprecated. As of version, it does not have effect.
`boolean` | `isResult()` Checks if the resource path maps to a result.
`boolean` | `isRptReport()` Checks if the resource path maps to a report set source file.
`boolean` | `isSelfContainReport()` Checks if the resource path maps to a self-contained report.
`boolean` | `isShared()` Checks if the resource path is mapped to a shared disk or shared path.
`boolean` | `isStudioReport()` Checks if the resource path maps to a studio report.
`boolean` | `isUseInherited()` Checks if to use inherited linked catalog.
`boolean` | `isVA()`
`boolean` | `isXmlCatalog()` Checks if the resource path maps to an xml catalog.
`boolean` | `isXmlReport()` Checks if the resource path maps to an xml report.

Method Detail

### getUserID

    java.lang.String getUserID()

  Returns the user ID that accesses the resource path.

  Returns:
    the user ID that accesses the resource path.

### getPath

    java.lang.String getPath()

  Returns the resource path.

  Returns:
    the resource path.

### getName

    java.lang.String getName()

  Returns the resource name.

  Returns:
    the resource name.

### getParentPath

    java.lang.String getParentPath()

  Returns the resource parent path .

  Returns:
    the resource parent path.

### getRealPath

    java.lang.String getRealPath()
                                 throws RptServerException

  Returns the resource real path of this PathInfo.

  Returns:
    the resource real path.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### getDescription

    java.lang.String getDescription()

  Returns the information with which described the resource.

  Returns:
    nothing if there is no any description.

### isResourceNode

    boolean isResourceNode()

  Deprecated. As of version, it does not have effect.

  Checks if the resource path is a resource node of the server resource tree.

  Returns:
    if the resource path is a resource node of the server resource tree.

### isDir

    boolean isDir()

  Checks if the resource path maps to a file system directory.

  Returns:
    if the resource path maps to a file system directory.

### isFile

    boolean isFile()

  Checks if the resource path maps to a file system file.

  Returns:
    if the resource path maps to a file system file.

### isCatalog

    boolean isCatalog()

  Test if the resource path maps to a catalog.

  Returns:
    if the resource path maps to a catalog.

### isLC

    boolean isLC()

  Checks if the resource path maps to a LC.

  Returns:
    if the resource path maps to a LC.

### isXmlCatalog

    boolean isXmlCatalog()

  Checks if the resource path maps to an xml catalog.

  Returns:
    if the resource path maps to an xml catalog.

### isReport

    boolean isReport()

  Checks if the resource path maps to a report.

  Returns:
    if the resource path maps to a report.

### isSelfContainReport

    boolean isSelfContainReport()

  Checks if the resource path maps to a self-contained report.

  Returns:
    if the resource path maps to a self-contained report.

### isRptReport

    boolean isRptReport()

  Checks if the resource path maps to a report set source file.

  Returns:
    if the resource path maps to a report set source file.

### isXmlReport

    boolean isXmlReport()

  Checks if the resource path maps to an xml report.

  Returns:
    if the resource path maps to an xml report.

### getDisplayName

    java.lang.String getDisplayName()

  Returns the resource display name.

  Returns:
    the resource display name.

### getDisplay

    java.lang.String getDisplay(java.util.Locale locale)

  Returns the resource display text for specified locale.

  Parameters:
    `locale` - the locale.
  Returns:
    the resource display text for this node, which should be defined by `ResourceNLSManager.updateNLSEntry(Locale, String, TextNLSEntry, String)`, return null if not defined.
  See Also:
    `ResourceNLSManager`

### isStudioReport

    boolean isStudioReport()

  Checks if the resource path maps to a studio report.

  Returns:
    if the resource path maps to a studio report

### isAdhocReport

    boolean isAdhocReport()

  Deprecated. No replacement.

  Checks if the resource path maps to an analysis report.

  Returns:
    if the resource path maps to an analysis report.
  Since:
    version 6

### isLiveReport

    boolean isLiveReport()

  Checks if the resource path maps to a live report.

  Returns:
    if the resource path maps to a live report
  Since:
    v10

### isJDashboard

    boolean isJDashboard()

  Checks if the resource path maps to a dashboard report.

  Returns:
    return true if the resource path maps to a dashboard report, or else return false.
  Since:
    v10

### isShared

    boolean isShared()

  Checks if the resource path is mapped to a shared disk or shared path.

  Returns:
    if the resource path is mapped to a shared disk or shared path.

### getFileInfo

    java.lang.String[] getFileInfo()
                                   throws RptServerException

  Gets this resource path's file information.

  Returns:
    sa[0] = file's length sa[1] = file's last modified time, for example, 02/22/02 5:48 PM.
  Throws:
    `RptServerException`

### isResult

    boolean isResult()

  Checks if the resource path maps to a result.

  Returns:
    if the resource path maps to a result.

### isInUserDir

    boolean isInUserDir()

  Checks if the folder that this `PathInfo` object represents is a user folder.

  Returns:
    true if this `PathInfo` object represents a user folder, or false if it does not represent a user folder.

### getMaxVersionAmount

    int getMaxVersionAmount()

  Gets max version amount of a resource. If the node which this `PathInfo` object represents is not a resource, return -1.

  Returns:
    max version amount of the resource node.
  Since:
    version 6

### isOwner

    boolean isOwner(java.lang.String userID)

  Checks if the user ID is the resource owner.

  Parameters:
    `userID` - the user ID.
  Returns:
    if the user ID is the resource owner.
  Since:
    version 6

### getLatestVersionNumber

    int getLatestVersionNumber()

  Gets latest version number of a resource. If the node which this `PathInfo` object represents is not a resource, return -1.

  Returns:
    version number.
  Since:
    version 6

### isArchiveNewVersion

    boolean isArchiveNewVersion()

  Checks if to archive a new version when adding a new version to a resource.

  Returns:
    true if to archive new version, or false if to replace the latest version.

### isEnableArchivePolicy

    boolean isEnableArchivePolicy()

  Checks if the archive policy is enabled on this node. If it is true, isReplaceOldVersion() and getMaxVersionAmount() are effective, if it is false, no archive policy applies on the node, that is, max version amount is 0 (unlimited), and do not replace the old version.

  Returns:
    whether the archive policy is enabled on this node.

### isDynamic

    boolean isDynamic()

  Checks if the resource is from real path.

  Returns:
    whether the resource is from real path.
  Since:
    v7.1

### isEnableDynamicResource

    boolean isEnableDynamicResource()

  Checks if resources from the node's real path can be used.

  Returns:
    whether resources from the node's real path can be used.
  Since:
    v7.1

### isEnableLinkedCatalog

    boolean isEnableLinkedCatalog()

  Checks if to enable linked catalog.

  Returns:
    true if to enable linked catalog.
  Since:
    v8.1

### getLinkedCatalog

    java.lang.String getLinkedCatalog()

  Gets the linked catalog.

  Returns:
    the linked catalog.
  Since:
    v8.1

### isUseInherited

    boolean isUseInherited()

  Checks if to use inherited linked catalog.

  Returns:
    true if to use inherited linked catalog.
  Since:
    v8.1

### getProfileName

    java.lang.String getProfileName()

  Gets the profile name, only used for report.

  Returns:
    profile name.
  Since:
    v8.1

### getLastModified

    long getLastModified()

  Gets last modified time of the file that `getRealPath()` indicates.

  Returns:
    the last modified time of the file that `getRealPath()` indicates, return `0L` if the real path is empty or it does not exist.
  Since:
    version 9

### isEnableNLS

    boolean isEnableNLS()

  Checks if the resource enables NLS (resource type is report).

  Returns:
    whether the resource enables NLS (resource type is report).

### getCustomFieldValue

    java.lang.Object getCustomFieldValue(java.lang.String name)

  Returns the value of a custom field which can be String or other formats.

  Parameters:
    `name` - the name of the custom field.
  Returns:
    the value of the custom field.
  Since:
    version 9.1

### getStatus

    byte getStatus()

  Returns the report resource status.

  Returns:
    the byte status of the resource path, which can be APIConst.STATUS_REPORT_INACTIVE, APIConst.STATUS_REPORT_ACTIVE, APIConst.STATUS_REPORT_INCOMPLETE.

### getResourceType

    byte getResourceType()

### getResourceSubType

    byte getResourceSubType()

### isVA

    boolean isVA()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD